Send a flow message
POST
/v1/messages/flowAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsonbodystringrequiredBody text
min length 1
channel_idstringrequiredChannel ID
min length 1
flow_actionstringFlow action (default: navigate)
flow_ctastringrequiredFlow CTA button text
min length 1
flow_dataobjectFlow action payload data
flow_idstringrequiredFlow ID
min length 1
flow_screenstringFlow screen name
flow_tokenstringFlow token
footerstringOptional footer text
headerInteractiveHeaderContentOptional header
Show propertiesHide properties
file_namestringrequiredlinkstringrequiredmedia_idstringrequiredmedia_urlstringrequiredtextstringrequiredtypestringrequiredurlstringrequiredtostringrequiredRecipient phone number
min length 1
Responses
201Created
message_idstringstatusstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/messages/flow" \
-H "Content-Type: application/json" \
-d '{
"body": "string",
"channel_id": "string",
"flow_action": "string",
"flow_cta": "string",
"flow_data": {},
"flow_id": "string",
"flow_screen": "string",
"flow_token": "string",
"footer": "string",
"header": {
"file_name": "string",
"link": "string",
"media_id": "string",
"media_url": "string",
"text": "string",
"type": "string",
"url": "string"
},
"to": "string"
}'const response = await fetch("/v1/messages/flow", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"body": "string",
"channel_id": "string",
"flow_action": "string",
"flow_cta": "string",
"flow_data": {},
"flow_id": "string",
"flow_screen": "string",
"flow_token": "string",
"footer": "string",
"header": {
"file_name": "string",
"link": "string",
"media_id": "string",
"media_url": "string",
"text": "string",
"type": "string",
"url": "string"
},
"to": "string"
})
});import requests
response = requests.post(
"/v1/messages/flow",
headers={
"Content-Type": "application/json"
},
json={
"body": "string",
"channel_id": "string",
"flow_action": "string",
"flow_cta": "string",
"flow_data": {},
"flow_id": "string",
"flow_screen": "string",
"flow_token": "string",
"footer": "string",
"header": {
"file_name": "string",
"link": "string",
"media_id": "string",
"media_url": "string",
"text": "string",
"type": "string",
"url": "string"
},
"to": "string"
},
)Response
{
"message_id": "string",
"status": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}